"use strict";
var test_item_1 = require("./test-item");
var TestPlan = (function () {
    function TestPlan(testSet) {
        var _this = this;
        this._testItems = [];
        if (testSet.testFixtures.length === 0) {
            return;
        }
        var testFixtures = testSet.testFixtures;
        var focussedTestFixtures = testFixtures.filter(function (testFixture) { return testFixture.focussed || testFixture.tests.some(function (test) { return test.focussed; }); });
        if (focussedTestFixtures.length > 0) {
            testFixtures = focussedTestFixtures;
            testFixtures.forEach(function (testFixture) {
                if (testFixture.tests.some(function (test) { return test.focussed; })) {
                    testFixture.tests = testFixture.tests.filter(function (test) { return test.focussed; });
                }
            });
        }
        testFixtures.forEach(function (testFixture) {
            testFixture.tests.forEach(function (test) {
                test.testCases.forEach(function (testCase) {
                    _this._testItems.push(new test_item_1.TestItem(testFixture, test, testCase));
                });
            });
        });
    }
    Object.defineProperty(TestPlan.prototype, "testItems", {
        get: function () {
            return this._testItems;
        },
        enumerable: true,
        configurable: true
    });
    return TestPlan;
}());
exports.TestPlan = TestPlan;
//# sourceMappingURL=test-plan.js.map