"use strict";
var TestFixture = (function () {
    function TestFixture(description) {
        this.focussed = false;
        this.ignored = false;
        this.ignoreReason = undefined;
        this.fixture = {};
        this.tests = [];
        this.description = description;
    }
    TestFixture.prototype.addTest = function (test) {
        // if the test is already here, don't add it
        if (this.tests.indexOf(test) !== -1) {
            return;
        }
        this.tests.push(test);
    };
    TestFixture.prototype.getTests = function () {
        var anyTestsFocussed = this.tests.filter(function (t) { return t.focussed; }).length > 0;
        // if there are no tests focussed, return them all
        if (!anyTestsFocussed) {
            return this.tests;
        }
        return this.tests.filter(function (t) { return t.focussed; });
    };
    return TestFixture;
}());
exports.TestFixture = TestFixture;
//# sourceMappingURL=test-fixture.js.map