"use strict";
function createPromise() {
    var _this = this;
    var promise = {
        resolve: function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i - 0] = arguments[_i];
            }
            try {
                if (promise.resolveCallback) {
                    promise.resolveCallback.apply(_this, args);
                }
            }
            catch (error) {
                promise.reject(error);
            }
        },
        reject: function (error) {
            if (promise.rejectCallback) {
                promise.rejectCallback(error);
            }
        },
        then: function (callback) {
            promise.resolveCallback = callback;
            return promise;
        },
        catch: function (callback) {
            promise.rejectCallback = callback;
            return promise;
        }
    };
    return promise;
}
exports.createPromise = createPromise;
//# sourceMappingURL=create-promise.js.map